/**
 * $Id: setproctitle.h 1 2006-04-29 18:51:20Z alexeen $
 *
 * This piece of code is from util-linux, and apparently,
 * they got it off of sendmail. This code seems to work
 * on Linux.
 */
#ifndef __SETPROCTITLE_H__
#define __SETPROCTITLE_H__

#include "common.h"

#if defined(HIDE_PROC_TITLE) && defined(FAKE_PROC_NAME) && defined(FAKE_PROC_TITLE)

void initproctitle (int argc, char **argv);
#if defined(HAVE_VSNPRINTF) && defined(USE_VSNPRINTF)
void setproctitle (const char *fmt, ...);
#else
void setproctitle (const char *prog, const char *txt);
#endif

#endif /** HIDE_PROC_TITLE & FAKE_PROC_TITLE **/

#endif /** __SETPROCTITLE_H__ ***/
